CLASS TEMPLATE (3)

NAME
boost::date_time::year_functor - Functor to iterate by a year adjusting for leap years.

SYNOPSIS

// In header: <boost/date_time/adjust_functors.hpp>
template<typename date_type>
class year_functor {
public:
  // types
  typedef date_type::duration_type duration_type;
  // construct/copy/destruct
  year_functor(int);
  // public member functions
  duration_type get_offset(const date_type &) const;
  duration_type get_neg_offset(const date_type &) const;
};

DESCRIPTION

  year_functor public construct/copy/destruct

    1.

    year_functor(int f);

  year_functor public member functions

    1.

    duration_type get_offset(const date_type & d) const;

    2.

    duration_type get_neg_offset(const date_type & d) const;